{
  "name": "apaas-v3-ui",
  "version": "1.0.0",
  "description": "A Vuetify.js Project Manage Kubernetes",
  "author": "shucheng <shucheng@bd-apaas.com>",
  "private": true,
  "scripts": {
    "dev": "webpack-dev-server --inline --progress --config build/webpack.dev.conf.js",
    "start": "npm run dev",
    "build": "node build/build.js"
  },
  "dependencies": {
    "@antv/g6": "^3.4.8",
    "@fortawesome/fontawesome-free": "^5.8.0",
    "ace-builds": "^1.4.11",
    "axios": "^0.19.2",
    "babel-polyfill": "^6.26.0",
    "codemirror": "^5.45.0",
    "echarts": "^4.8.0",
    "element-ui": "^2.11.1",
    "js-yaml": "^3.13.1",
    "json2yaml": "^1.1.0",
    "material-design-icons-iconfont": "^4.0.5",
    "mavon-editor": "^2.9.0",
    "qs": "^6.9.4",
    "string-format": "^2.0.0",
    "svg-sprite-loader": "^4.2.6",
    "vue": "^2.6.10",
    "vue-cropper": "^0.5.2",
    "vue-echarts": "^5.0.0-beta.0",
    "vue-i18n": "^8.17.7",
    "vue-resource": "^1.5.1",
    "vue-router": "^3.0.2",
    "vuex": "^3.1.0",
    "xterm": "^4.7.0",
    "xterm-addon-fit": "^0.4.0",
    "yaml2json": "^1.0.2"
  },
  "devDependencies": {
    "@babel/core": "^7.4.0",
    "@babel/plugin-syntax-jsx": "^7.2.0",
    "@babel/plugin-transform-runtime": "^7.4.0",
    "@babel/preset-env": "^7.4.2",
    "@babel/runtime": "^7.4.2",
    "autoprefixer": "^9.5.0",
    "babel-loader": "^8.0.5",
    "babel-plugin-syntax-jsx": "^6.18.0",
    "babel-plugin-transform-vue-jsx": "^3.7.0",
    "chalk": "^2.4.2",
    "copy-webpack-plugin": "^4.0.1",
    "css-loader": "^2.1.1",
    "file-loader": "^3.0.1",
    "friendly-errors-webpack-plugin": "^1.7.0",
    "html-webpack-plugin": "^3.2.0",
    "mini-css-extract-plugin": "^0.5.0",
    "node-notifier": "^5.4.0",
    "optimize-css-assets-webpack-plugin": "^5.0.1",
    "ora": "^3.2.0",
    "portfinder": "^1.0.20",
    "postcss-import": "^12.0.1",
    "postcss-loader": "^3.0.0",
    "postcss-url": "^8.0.0",
    "resize-detector": "^0.2.2",
    "rimraf": "^2.6.3",
    "semver": "^5.6.0",
    "shelljs": "^0.8.3",
    "terser-webpack-plugin": "^1.2.3",
    "url-loader": "^1.1.2",
    "vue-loader": "^15.7.0",
    "vue-sparklines": "^0.2.1",
    "vue-style-loader": "^4.1.2",
    "vue-template-compiler": "^2.6.10",
    "vux": "^2.9.4",
    "webpack": "^4.29.6",
    "webpack-bundle-analyzer": "^3.1.0",
    "webpack-cli": "^3.2.3",
    "webpack-dev-server": "^3.2.1",
    "webpack-merge": "^4.2.1"
  },
  "engines": {
    "node": ">= 8.12.0",
    "npm": ">= 6.4.1",
    "yarn": ">= 1.12.3"
  },
  "browserslist": [
    "> 1%",
    "last 2 versions",
    "not ie <= 8"
  ]
}
